move.hpp File Reference

## Typedefs

template<typename I , typename O >
using | ranges::move_result = detail::in_out_result< I, O >

## Functions

template<typename I , typename S , typename O >
auto | ranges::move (I first, S last, O out) -> move_result< I, O > requires input_iterator< I > &&sentinel_for< S, I > &&weakly_incrementable< O > &&indirectly_movable< I, O >
| function template `move`
template<typename Rng , typename O >
auto | ranges::move (Rng &&rng, O out) -> move_result< safe_iterator_t< Rng >, O > requires input_range< Rng > &&weakly_incrementable< O > &&indirectly_movable< iterator_t< Rng >, O >